/* SLIDER-DOT DEFINITION */
.slider-dots {
	position:absolute;
	bottom:40px;
	height: 13px;
	width: 100%;
	
	.dot {
		width: 13px;
		height: 13px;
		border-radius: 13px;
		margin: 0 10px;
		cursor: pointer;
		transition: background-color 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s;
		background-color: colors/$deco1;
	}
	.dot:hover {
		background-color: colors/$deco2;
	}
	.dot.active {
		background-color: colors/$grey7;
	}
	.dot.active:hover {
		background-color: colors/$deco2;
	}
}

/* GENERAL!! SLIDER STYLES */
.m-slider {
	position:relative; 
	
	.scroller {
		display: block;
		height: 100%;
		position: relative;
		transform: translate3d(0%, 0, 0);
		/*transition: transform 0.8s cubic-bezier(0.215, 0.61, 0.355, 1) 0s;*/
	}
	
	.slider {
		padding: 0;
		overflow: hidden;
		position: relative;
		
		&.slider-inset-border:after {
			content: '';
			position: absolute;
			border: solid 20px colors/$grey6;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			box-sizing: border-box;
			pointer-events: none;
		}
		
		&.slider-inset-border.negative-text:after {
			border-color: colors/$deco1;
		}
	}
		
	.slide {
		width: 100%;
		opacity: 100;
		float: left;
		height: 100%;
		max-width: 100%;
		
		.b-image {
			height: 100%;
			width: 100%;
			display: block;
		}
		
		&.mod-no-padding {
			padding: 0;
		}
	}
}


/* GENERAL LISTING-SLIDER DEFINITION */
.m-listing-slider {
	position: relative;
	
	&.b-listing-boxes {
		display: inline-block;
		
		/* only if not centered */
		/*margin-left: -#{look/$spacing-column};
	    margin-right: -#{look/$spacing-column};
	    
	    .l-s-scroller-wrapper {
		    padding-left: look/$spacing-column;
			padding-right: look/$spacing-column;
	    }*/
	}
	
	.b-listing {
		flex-wrap: nowrap;
		justify-content: initial;
		
		.b-entry {
			margin-top: 0;
			transition: opacity 0.2s ease 0s, background-color 0.2s ease 0s;
		}
		
		.b-entry.ghost {
			opacity: 30;
		}
	}
	
	.l-s-scroller-wrapper {
		max-width: 100%;
		display: inline-block;
		margin-bottom: -4px;
		overflow: hidden;
		left: 50%;
	    transform: translateX(-50%);
	    position: relative;
	}
	
	.l-s-scroller {
		display: inline-block;
		transition: transform 0.4s ease 0s;
	}
	
	.l-s-controls {
		
		.l-s-c-control {
			position: absolute;
			display: inline-block;
			padding: 0px 14px;
			font-size: 50px;
			cursor: pointer;
			color: colors/$deco1;
			background-color: colors/$grey7;
			opacity: 100;
			visibility: visible;
			transition: opacity 0.2s ease 0s, background-color 0.2s ease 0s;
			top: 110px;
			transform: translateY(-50%);
			
			&:hover {
				background-color: colors/$grey6;
			}
			
			&.hidden {
				opacity: 0;
				visibility: hidden;
				
				&:hover {
					opacity: 0;
				}
			}
		}
		
		.l-s-c-next {
			right: -40px;
			
			@Tablet {
				right: 0;
			}
		}
		
		.l-s-c-prev {
			left: -40px;
			
			@Tablet {
				left: 0;
			}
		}
	}
}